﻿// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)
// This is sample code only, do not use in production environments

using Microsoft.ALMRangers.TFSKanbanGuidance.GlobalListUpdater;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Microsoft.TeamFoundation.Client;

namespace TFSFunctionsTests
{
    /// <summary>
    ///This is a test class for TFSFunctionsTest and is intended
    ///to contain all TFSFunctionsTest Unit Tests
    ///</summary>
    [TestClass()]
    public class ExecuteQueryTests
    {
        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for ExecuteQuery
        ///</summary>
        [TestMethod()]
        public void ExecuteQueryWithMatchingProjectParameter()
        {
            string serverUrl = "http://win-gs9gmujits8:8080/tfs/defaultcollection"; 
            var collection = new TfsTeamProjectCollection(new Uri(serverUrl));
            WorkItemStore store = (WorkItemStore)collection.GetService(typeof(WorkItemStore));
            string query = "SELECT [System.Id], [System.Title] FROM WorkItems WHERE [System.TeamProject] = '@project' and [System.WorkItemType] = '@processstepworkitemtype' ORDER BY [System.Id]";
            string teamProjectName = "Rangers Kanban";
            string processStepWorkItemType = "Process Step";
            WorkItemCollection actual;
            actual = TFSFunctions.ExecuteQuery(store, query, teamProjectName, processStepWorkItemType);
            Assert.IsTrue(actual.Count > 0);
         }

        /// <summary>
        ///A test for ExecuteQuery
        ///</summary>
        [TestMethod()]
        public void ExecuteQueryWithUpperCaseProjectParameter()
        {
            string serverUrl = "http://win-gs9gmujits8:8080/tfs/defaultcollection";
            var collection = new TfsTeamProjectCollection(new Uri(serverUrl));
            WorkItemStore store = (WorkItemStore)collection.GetService(typeof(WorkItemStore));
            string query = "SELECT [System.Id], [System.Title] FROM WorkItems WHERE [System.TeamProject] = '@Project' and [System.WorkItemType] = '@ProcessStepWorkItemType' ORDER BY [System.Id]";
            string teamProjectName = "Rangers Kanban";
            string processStepWorkItemType = "Process Step";
            WorkItemCollection actual;
            actual = TFSFunctions.ExecuteQuery(store, query, teamProjectName, processStepWorkItemType);
            Assert.IsTrue(actual.Count > 0);
        }
    }
}
