﻿// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)
// This is sample code only, do not use in production environments

using Microsoft.ALMRangers.TFSKanbanGuidance.GlobalListUpdater;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Microsoft.TeamFoundation.Framework.Server;
using Microsoft.TeamFoundation.WorkItemTracking.Server;

namespace TFSFunctionsTests
{
    
    
    /// <summary>
    ///This is a test class for TFSFunctionsTest and is intended
    ///to contain all TFSFunctionsTest Unit Tests
    ///</summary>
    [TestClass()]
    public class GetTeamProjectCollectionUrlTests
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for GetTFSServerUrl
        ///</summary>
        [TestMethod()]
        public void GetTFSProjectCollectionUrlTest()
        {
            var requestContextVirtualDirectory = "/tfs/DefaultCollection/";
            var WorkItemChangedEventDisplayUrl = "http://myserver:8080/tfs/web/wi.aspx?pcguid=7e83f72e-ac85-4849-9e26-ac9b9a95a27a&id=64";
            string expected = "http://myserver:8080/tfs/DefaultCollection/";

            string actual = TFSFunctions.GetTeamProjectCollectionUrl(requestContextVirtualDirectory, WorkItemChangedEventDisplayUrl);
            Assert.AreEqual(expected, actual);
        }
    }
}
